Add --enable-graphite option to build script
authorJim Huang <jim.huang@linaro.org>
Wed, 6 Apr 2011 05:51:49 +0000 (13:51 +0800)
committerJim Huang <jserv@0xlab.org>
Thu, 7 Apr 2011 13:06:44 +0000 (21:06 +0800)
commit50adde9d855b73b5b9e5532ceed6272807b34701
tree5fb4411b8b316dbe6fb8ef5a4e2230fda7c8850f
parentb57a44f739598a081d8efed906a523b98ec45fef
Add --enable-graphite option to build script

GCC 4.5 and up supports graphite optimization, and cloog and ppl
are required.  This change attempts to support some combinations
of ppl and cloog/cloog-ppl libraries.  Since cloog and ppl are
written in C++, it implies we might suffer from C++ ABI breakage
problems when host environment changes, that is a well-known issue
in GNU/Linux distributions.  Thus, we have to link to static C++
runtime library (libstdc++) to avoid depending on the host version.

Default: no

Change-Id: I0a69712379a4e2dc30034a2226a15717a9c121b7
Makefile.in
configure
configure.ac